Menu

## QRMarkupTestAbstract extends QROutputTestAbstract
in package

QRMarkupTestAbstract.php : 18

Tests the QRMarkup output module

### Table of Contents

$builddir : string
$FQN : string
$matrix : QRMatrix
$options : QROptions
$outputInterface : QROutputInterface
$type : string
testInstance() : void
  Validate the instance of the interface
testRenderToCacheFile() : void
  coverage of the built-in output modules
testSaveException() : void
  Tests if an exception is thrown when trying to write a cache file to an invalid destination
testSetModuleValues() : void
  covers the module values settings
setUp() : void
  Attempts to create a directory under /.build and instances several required objects

### Properties

#### $builddir

QROutputTestAbstract.php : 31
`protected string $builddir = __DIR__ . '/../../.build/output_test'`

#### $FQN

QROutputTestAbstract.php : 32
`protected string $FQN`

#### $matrix

QROutputTestAbstract.php : 30
`protected QRMatrix $matrix`

#### $options

QROutputTestAbstract.php : 28
`protected QROptions $options`

#### $outputInterface

QROutputTestAbstract.php : 29
`protected QROutputInterface $outputInterface`

#### $type

QROutputTestAbstract.php : 33
`protected string $type`

### Methods

#### testInstance()

QROutputTestAbstract.php : 55

Validate the instance of the interface

`public testInstance() : void`

##### Return values

void —

#### testRenderToCacheFile()

QROutputTestAbstract.php : 82

coverage of the built-in output modules

`public testRenderToCacheFile() : void`

##### Return values

void —

#### testSaveException()

QROutputTestAbstract.php : 62

Tests if an exception is thrown when trying to write a cache file to an invalid destination

`public testSaveException() : void`

##### Return values

void —

#### testSetModuleValues()

QRMarkupTestAbstract.php : 23

covers the module values settings

`public testSetModuleValues() : void`

##### Tags

inheritDoc

##### Return values

void —

#### setUp()

QROutputTestAbstract.php : 38

Attempts to create a directory under /.build and instances several required objects

`protected setUp() : void`

##### Return values

void —

## Search results